<?xml version="1.0"?>
<doc>
    <assembly>
        <name>MyDb_SQLite</name>
    </assembly>
    <members>
        <member name="T:ryCommonDb.ClsDb">
            <summary>
            
            </summary>
        </member>
        <member name="M:ryCommonDb.ClsDb.#ctor">
            <summary>
            
            </summary>
        </member>
        <member name="M:ryCommonDb.ClsDb.Finalize">
            <summary>
            
            </summary>
        </member>
        <member name="M:ryCommonDb.ClsDb.#ctor(System.String,System.String)">
            <summary>
            
            </summary>
            <param name="DbFilePath">数据库路径</param>
            <param name="PassWord">数据库密码</param>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.ClsDb.#ctor(System.String)">
            <summary>
            
            </summary>
            <param name="DbFilePath">数据库路径</param>
            <returns></returns>
        </member>
        <member name="F:ryCommonDb.ClsDb.SQLite_cn">
            <summary>
            
            </summary>
        </member>
        <member name="F:ryCommonDb.ClsDb.DbPath">
            <summary>
            
            </summary>
        </member>
        <member name="F:ryCommonDb.ClsDb.DbPassWord">
            <summary>
            
            </summary>
        </member>
        <member name="M:ryCommonDb.ClsDb.ConnDb">
            <summary>
            连接数据库
            </summary>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.ClsDb.SetPathPwd(System.String,System.String)">
            <summary>
            设置路径和密码
            </summary>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.ClsDb.ConnDb(System.String,System.String)">
            <summary>
            连接数据库
            </summary>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.ClsDb.ChangePwd(System.String)">
            <summary>
            
            </summary>
            <param name="newPwd"></param>
        </member>
        <member name="M:ryCommonDb.ClsDb.ConnOrCreateDb">
            <summary>
            连接或创建数据库，如果数据库不存在，就创建，否则连接
            </summary>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.ClsDb.ConnOrCreateDb(System.String,System.String)">
            <summary>
            连接或创建数据库，如果数据库不存在，就创建，否则连接
            </summary>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.ClsDb.CloseDb">
            <summary>
            关闭数据库
            </summary>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.ClsDb.ExecuteNonQuery(System.String,System.Data.SQLite.SQLiteParameter[])">
            <summary>
            运行SQL命令
            </summary>
            <param name="SQLText">SQL语句</param>
            <param name="commandParameters">SQL命令参数</param>
            <returns>运行失败，则返回-1，否则返回影响的行数</returns>
        </member>
        <member name="M:ryCommonDb.ClsDb.ExecuteNonQuery(System.String)">
            <summary>
            运行SQL命令
            </summary>
            <param name="SQLText">SQL语句</param>
            <returns>运行失败，则返回-1，否则返回影响的行数</returns>
        </member>
        <member name="M:ryCommonDb.ClsDb.ExecuteSQL(System.String,System.Data.SQLite.SQLiteParameter[])">
            <summary>
            运行SQL命令,并返回结果
            </summary>
            <param name="SQLText">SQL语句</param>
            <param name="commandParameters">SQL命令参数</param>
            <returns>运行失败，则返回null，否则返回以数组显示的字符串</returns>
        </member>
        <member name="M:ryCommonDb.ClsDb.ExecuteSQL(System.String,System.Data.SQLite.SQLiteParameter[],System.String)">
            <summary>
            运行SQL命令,并返回结果
            </summary>
            <param name="SQLText">SQL语句</param>
            <param name="commandParameters">SQL命令参数</param>
            <param name="DefFristValue">数组第一个默认的值</param>
            <returns>运行失败，则返回null，否则返回以数组显示的字符串</returns>
        </member>
        <member name="M:ryCommonDb.ClsDb.ExecuteSQL(System.String)">
            <summary>
            运行SQL命令,并返回结果
            </summary>
            <param name="SQLText">SQL语句</param>
            <returns>运行失败，则返回null，否则返回以数组显示的字符串</returns>
        </member>
        <member name="M:ryCommonDb.ClsDb.ExecuteSQL(System.String,System.String)">
            <summary>
            运行SQL命令,并返回结果
            </summary>
            <param name="SQLText">SQL语句</param>
            <param name="DefFristValue">数组第一个默认的值</param>
            <returns>运行失败，则返回DefFristValue，否则返回以数组显示的字符串</returns>
        </member>
        <member name="M:ryCommonDb.ClsDb.DeleteTable(System.String)">
            <summary>
            清空指定表的所有数据
            </summary>
            <param name="TableName">表名</param>
            <returns>运行失败，则返回-1，否则返回影响的行数</returns>
        </member>
        <member name="M:ryCommonDb.ClsDb.ClearTableData(System.String)">
            <summary>
            清空指定表的所有数据
            </summary>
            <param name="TableName">表名</param>
            <returns>运行失败，则返回-1，否则返回影响的行数</returns>
        </member>
        <member name="M:ryCommonDb.ClsDb.IsExistValue(System.String,System.String,System.String,System.Int32)">
            <summary>
            判断指定值是否存在
            </summary>
            <param name="TableName">表名</param>
            <param name="valueField">指定值所属字段</param>
            <param name="value">指定值</param>
            <param name="curId">当前id，如果是新增记录，请填写-1</param>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.ClsDb.ExecuteReadResult(System.String,System.Data.SQLite.SQLiteParameter[])">
            <summary>
            判断SQL语句是否有结果返回
            </summary>
            <param name="SQLText">SQL语句</param>
            <param name="commandParameters">SQL命令参数</param>
            <returns>运行失败，则返回-1；存在结果，返回1；不存在结果，返回0</returns>
        </member>
        <member name="M:ryCommonDb.ClsDb.ExecuteReadResult(System.String)">
            <summary>
            判断SQL语句是否有结果返回
            </summary>
            <param name="SQLText">SQL语句</param>
            <returns>运行失败，则返回-1；存在结果，返回1；不存在结果，返回0</returns>
        </member>
        <member name="M:ryCommonDb.ClsDb.CreateDb(System.String)">
            <summary>
            创建数据库
            </summary>
            <param name="SQLText">SQL语句</param>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.ClsDb.CreateDbByExample">
            <summary>
            根据内置例子创建数据库
            </summary>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.ClsDb.SetSysNameValue(System.String,System.String,System.String)">
            <summary>
            保存信息，如果Name不存在，系统会自动创建
            </summary>
            <returns>返回1，表示成功，0表示失败</returns>
        </member>
        <member name="M:ryCommonDb.ClsDb.GetValueByName(System.String,System.String,System.String)">
            <summary>
            获取信息
            </summary>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.ClsDb.GetValueByName(System.String,System.String)">
            <summary>
            获取信息
            </summary>
            <returns></returns>
        </member>
        <member name="T:ryCommonDb.SQLiteDataProvider">
            <summary>
            
            </summary>
        </member>
        <member name="F:ryCommonDb.SQLiteDataProvider.myDb">
            <summary>
            
            </summary>
        </member>
        <member name="M:ryCommonDb.SQLiteDataProvider.ConnDb(System.String)">
            <summary>
            
            </summary>
            <param name="sql"></param>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.SQLiteDataProvider.CloseDb">
            <summary>
            
            </summary>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.SQLiteDataProvider.GetCount(System.String,System.String)">
            <summary>
            
            </summary>
            <param name="tableName"></param>
            <param name="wheresql"></param>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.SQLiteDataProvider.ChangePwd(System.String)">
            <summary>
            
            </summary>
            <param name="newPwd"></param>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.SQLiteDataProvider.AddParameter(System.String,System.Object)">
            <summary>
            
            </summary>
            <param name="name"></param>
            <param name="value"></param>
        </member>
        <member name="M:ryCommonDb.SQLiteDataProvider.ClearParameter(System.Object,System.Object)">
            <summary>
            
            </summary>
            <param name="name"></param>
            <param name="value"></param>
        </member>
        <member name="M:ryCommonDb.SQLiteDataProvider.GetParameter">
            <summary>
            
            </summary>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.SQLiteDataProvider.GetParameter(ryCommonDb.RyQuickSQL)">
            <summary>
            
            </summary>
            <param name="mySQL"></param>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.SQLiteDataProvider.GetPageSQL(System.String,System.String,System.String)">
            <summary>
            
            </summary>
            <param name="tableName"></param>
            <param name="wheresql"></param>
            <param name="orderSQL"></param>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.SQLiteDataProvider.GetPageSQL2(System.String,System.String,System.String)">
            <summary>
            
            </summary>
            <param name="tableName"></param>
            <param name="wheresql"></param>
            <param name="orderSQL"></param>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.SQLiteDataProvider.GetPageSQL(System.String,System.String,System.String,System.String)">
            <summary>
            
            </summary>
            <param name="field"></param>
            <param name="tableName"></param>
            <param name="wheresql"></param>
            <param name="orderSQL"></param>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.SQLiteDataProvider.GetPageSQL2(System.String,System.String,System.String,System.String)">
            <summary>
            
            </summary>
            <param name="field"></param>
            <param name="tableName"></param>
            <param name="wheresql"></param>
            <param name="orderSQL"></param>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.SQLiteDataProvider.ContainsData(System.String,System.Object[])">
            <summary>
            
            </summary>
            <param name="sql"></param>
            <param name="Parameter"></param>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.SQLiteDataProvider.ReadData(System.String,System.Object[])">
            <summary>
            
            </summary>
            <param name="sql"></param>
            <param name="Parameter"></param>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.SQLiteDataProvider.ReadData(System.String,ryCommonDb.RyQuickSQL)">
            <summary>
            
            </summary>
            <param name="sql"></param>
            <param name="mySQL"></param>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.SQLiteDataProvider.ReadData(System.String)">
            <summary>
            
            </summary>
            <param name="sql"></param>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.SQLiteDataProvider.ReadData(System.String,System.String)">
            <summary>
            
            </summary>
            <param name="tableName"></param>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.SQLiteDataProvider.ExecuteNonQuery(System.String,System.Object[])">
            <summary>
            
            </summary>
            <param name="sql"></param>
            <param name="Parameter"></param>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.SQLiteDataProvider.ExecuteNonQuery(ryCommonDb.RyQuickSQL,System.String,System.Boolean)">
            <summary>
            执行SQL语句
            </summary>
            <param name="mySQL"></param>
            <param name="wheresql">只针对IsAdd为false才生效，where 以后的sql语句</param>
            <param name="IsAdd">是新增还是更新</param>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.SQLiteDataProvider.Insert(ryCommonDb.RyQuickSQL)">
            <summary>
            插入数据库
            </summary>
            <param name="mySQL"></param>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.SQLiteDataProvider.Update(ryCommonDb.RyQuickSQL,System.String)">
            <summary>
            更新数据库
            </summary>
            <param name="mySQL"></param>
            <param name="wheresql">where 以后的sql语句</param>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.SQLiteDataProvider.ExecuteNonQuery(System.String,ryCommonDb.RyQuickSQL)">
            <summary>
            
            </summary>
            <param name="sql"></param>
            <param name="mySQL"></param>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.SQLiteDataProvider.ExecuteNonQuery(System.String)">
            <summary>
            
            </summary>
            <param name="sql"></param>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.SQLiteDataProvider.BeginTransaction">
            <summary>
            
            </summary>
        </member>
        <member name="M:ryCommonDb.SQLiteDataProvider.Commit">
            <summary>
            
            </summary>
        </member>
        <member name="M:ryCommonDb.SQLiteDataProvider.DelById(System.String,System.String)">
            <summary>
            
            </summary>
            <param name="tableName"></param>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.SQLiteDataProvider.CreateDb(ryCommonDb.RyQuickSQL)">
            <summary>
            
            </summary>
            <param name="mySQL"></param>
            <returns></returns>
        </member>
        <member name="M:ryCommonDb.SQLiteDataProvider.Free">
            <summary>
            
            </summary>
        </member>
    </members>
</doc>
